using System;

namespace WindowsApplication2
{
	/// <summary>
	/// Summary description for BankCustomer.
	/// </summary>
	public class BankCustomer
	{
		public string   firstName; 
		public string   lastName;
		private double   balance;
		private Person[] relatives;

		public BankCustomer()
		{
			//
			// TODO: Add constructor logic here
			//

			this.firstName = ""; 
			this.lastName = ""; 
			this.balance = 0.0;
			relatives = new Person[100];
		}

		public BankCustomer(string fn, string ln, double bal)
		{
			this.firstName = fn;
			this.lastName  = ln;
			this.balance   = bal;
		} 

//		public BankCustomer(string fn, string ln)  // start with 0.0 balance
//		{
//			this.firstName = fn; 
//			this.lastName = ln; 
//			this.balance = 0.0;
//		}

		public BankCustomer(string fn, string ln)  // start with 0.0 balance
			: this(fn, ln, 0.0)
		{ }


		public double Balance
		{
			get
			{
				return this.balance;
			}
			set
			{
				if(value<0.0)
					System.Console.WriteLine("The amount under zero");
				else
					this.balance = value;
			}
		}//property


		public Person this [int index]
		{
			get
			{
				return relatives[index];
			}
			set
			{
				if (value != null)
				{
					relatives [index] = value;
				}
			}
		}//indexer
	}
}
